local Tunnel = module("vrp", "lib/Tunnel")
local Proxy = module("vrp", "lib/Proxy")


---██████╗░░░███╗░░███╗░░░███╗---
---██╔══██╗░████║░░████╗░████║---
---██████╦╝██╔██║░░██╔████╔██║---
---██╔══██╗╚═╝██║░░██║╚██╔╝██║---
---██████╦╝███████╗██║░╚═╝░██║---
---╚═════╝░╚══════╝╚═╝░░░░░╚═╝---

vRP = Proxy.getInterface("vRP")
vRPclient = Tunnel.getInterface("vRP","vRP_paycheck")

vRPSpc = {}
Tunnel.bindInterface("vRP_paycheck",vRPSpc)
Proxy.addInterface("vRP_paycheck",vRPSpc)
vRPCpc = Tunnel.getInterface("vRP_paycheck","vRP_paycheck")


local minute = 29
local secunde = 60
local totalmin = 29
local totalsec = 60
Citizen.CreateThread(function()
	while true do
		Citizen.Wait(1000) 
		zero = 0
		secunde = secunde - 1
		totalsec = secunde
		if secunde < 10 then
			totalsec = "0"..totalsec
		end
		if secunde == 0 then
			secunde = 60
			minute = minute -1
			totalmin = minute
			if minute == 0  then
				minute = 29
				secunde = 60
				doPayDay()
			end
		end
	end
end)

function vRPSpc.getPayDayTimer()
	if totalmin < 10 then
		return "0"..minute..":"..secunde
	else
		return ""..minute..":"..secunde
	end
end

function doPayDay(source)

	ora = parseInt(os.date("%H"))

	local users = vRP.getUsers({})
	
	for i, v in pairs(users)do
		user_id = i
		local player = vRP.getUserSource({user_id})
		if player then
			local hasFaction = vRP.hasUserFaction({user_id})
			local theVip = vRP.getVipLvl({user_id})
			local ajutor = 30000
			if(hasFaction)then
				local theFaction = vRP.getUserFaction({user_id})
				local theRank = vRP.getFactionRank({user_id})
				local theSalary = vRP.getFactionRankSalary({theFaction,theRank}) or 30000
				ora = parseInt(os.date("%H"))
				
				if theSalary > 0 then
					if(theFaction == "Politie")then
						theFaction = "Departamentul de Politie"
					elseif(theFaction == "Smurd")then
						theFaction = "Smurd"
					elseif(theFaction == "SIAS")then
						theFaction = "SIAS"
					end
					if theVip == 0 then
						TriggerEvent('sendNewMail',player,{sender = "salariu",subject = tostring(theFaction),message = "Ai primit salariu :"..theSalary.."$"})
						vRP.giveBankMoney({user_id,theSalary})
					elseif theVip == 1 then
						TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Salariu",message = ""..tostring(theFaction).."|Vip Bronze - Ai primit salariu :"..theSalary.."$"})
						vRP.giveBankMoney({user_id,theSalary+0})
					elseif theVip == 2 then
						TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Salariu",message = ""..tostring(theFaction).."|Vip Silver - Ai primit salariu :"..theSalary.."$"})
						vRP.giveBankMoney({user_id,theSalary+0})
					elseif theVip == 3 then
						TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Salariu",message = ""..tostring(theFaction).."|Vip Gold - Ai primit salariu :"..theSalary.."$"})
						vRP.giveBankMoney({user_id,theSalary+0})
					elseif theVip == 4 then
						local vipsalary = 200000
						local salariu = ajutor + vipsalary
						TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Salariu",message = ""..tostring(theFaction).."|Vip Diamond - Ai primit salariu :"..ajutor.."$ + salariu V.I.P "..vipsalary.."$"})
						vRP.giveBankMoney({user_id,salariu})
					end
				end
			else
				if theVip == 0 then
					TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Ajutor Socail",message = "Ai primit salariu: "..ajutor.."$"})
					vRPCpc.doSalariu(player,{ajutor,0,ajutor,"Ajutor Social",nil})
					vRP.giveBankMoney({user_id,ajutor})
				elseif theVip == 1 then
					TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Ajutor Socail , VIP Bronze",message = "Ai primit salariu: "..ajutor.."$"})
					vRP.giveBankMoney({user_id,ajutor+0})
				elseif theVip == 2 then
					TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Ajutor Socail , VIP Sliver",message = "Ai primit salariu: "..ajutor.."$"})
					vRP.giveBankMoney({user_id,ajutor+0})
				elseif theVip == 3 then
					TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Ajutor Socail , VIP Gold",message = "Ai primit salariu: "..ajutor.."$"})
					vRP.giveBankMoney({user_id,ajutor+0})
				elseif theVip == 4 then
					local vipsalary = 200000
					local theSalary = ajutor+vipsalary
					TriggerEvent('sendNewMail',player,{sender = "salariu",subject = "Vip Diamond",message = "Ai primit salariu :"..theSalary.."$ + salariu V.I.P "..vipsalary.."$"})
					vRP.giveBankMoney({user_id,theSalary})
				end
			end
		end
	end
end

RegisterCommand("doPayday", function(source)
	local user_id = vRP.getUserId({source})
	if vRP.isUserFondator({user_id})then
		doPayDay(source)
	end
end)